<?php
/*-------------------------------------------------------+
| PHP-Fusion v7 Theme - bl_black_3D_blue
| Copyright (C) 2002 - 2008 bLack
| http://www.clanmods.eu/
+--------------------------------------------------------+
| Theme-Name: bl_black_3D_blue
| Author: bLack
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) die("Access Denied");
require_once INCLUDES."theme_functions_include.php";

//THEME-SETTINGS
define("THEME_WIDTH", "100%");
//define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='o' />");
define("THEME_BULLET", "&raquo;");
define("THEME_SPACER", "<img src='".THEME."images/blank.gif' width='14' height='23' alt='' />");
define("THEME_DIVIDER", "<img src='".THEME."images/divider.gif' alt='&bull;' />");




function render_page($license = false) {
	global $settings, $main_style, $locale;
	
	//HEADER
	echo "<table class='bodyline' width='".THEME_WIDTH."' cellspacing='0' cellpadding='0'>\n<tr>\n<td>\n";
	echo "<table width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n";
	echo "<td class='tbl-top-left'>".THEME_SPACER."</td>\n";
	echo "<td class='tbl-top'></td>\n";
	echo "<td class='tbl-top-right'>".THEME_SPACER."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl-left'></td>\n";
	echo "<td class='tbl-top-background'>".showbanners()."</td>\n";
	echo "<td class='tbl-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl-bottom-left'>".THEME_SPACER."</td>\n";
	echo "<td class='tbl-bottom'></td>\n";
	echo "<td class='tbl-bottom-right'>".THEME_SPACER."</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
		
	//SUBHEADER
	echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl-top-navigation'>\n";
	echo "<tr height='20'>\n";
	echo "<td class='tbl-subheader'>".showsublinks("<span class='bullet'> ".THEME_DIVIDER." </span>", "white")."</td>\n";
	echo "<td class='tbl-subheader-right'>".showsubdate()."</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
		
	//CONTENT
	echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'>\n<tr>\n<td>\n";
	echo "<table width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n";
	echo "<td class='tbl-top-left'>".THEME_SPACER."</td>\n";
	echo "<td class='tbl-top'></td>\n";
	echo "<td class='tbl-top-right'>".THEME_SPACER."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl-left'></td>\n";
	echo "<td width='100%'>\n";
	echo "<table width='100%' cellpadding='6' cellspacing='0'>\n<tr>\n";
	if(LEFT) echo "<td width='195' valign='top'>".LEFT."</td>\n";
	echo "<td valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>\n";
	if(RIGHT) echo "<td width='195' valign='top'>".RIGHT."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td colspan='3' class='footer-copyright'>".stripslashes($settings['footer'])."</td>\n";
	echo "</tr>\n</table>\n";
	echo "</td>\n";
	echo "<td class='tbl-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl-bottom-left'>".THEME_SPACER."</td>\n";
	echo "<td class='tbl-bottom'>\n";
	
	//FOOTER
	echo "<table width='100%' cellpadding='0' cellspacing='0' height='23'>\n<tr>\n";
	echo "<td width='50' style='background-image:url(".THEME."images/tnav_b.gif);'>&nbsp;</td>\n";
	echo "<td width='28' style='background-image:url(".THEME."images/tnav_b_text-a.gif);'>&nbsp;</td>\n";
	echo "<td width='280'align='center' style='background-image:url(".THEME."images/tnav_b_text.gif);'>\n";
	echo "<div style='font-size:9px;position:relative;top:2px;'>".($license == false ? "Powered by <a href='http://www.php-fusion.co.uk'>PHP-Fusion</a> & 2002 - ".date("Y")." by Nick Jones" : "")."</div>\n";
	echo "</td>\n";
	echo "<td width='28' style='background-image:url(".THEME."images/tnav_b_text-b.gif);'>&nbsp;</td>\n";
	echo "<td class='tbl-bottom'>&nbsp;</td>\n";
	echo "<td width='28' style='background-image:url(".THEME."images/tnav_b_text-a.gif);'>&nbsp;</td>\n";
	echo "<td width='310' align='center' style='background-image:url(".THEME."images/tnav_b_text.gif);'>\n";
	echo "<div style='font-size:9px;position:relative;top:2px;'>Original Theme by: <a href='http://www.forumimages.com' target='_blank' style='font-size:9px'>FI Theme</a> - Converted by: <a href='http://www.clanmods.eu' target='_blank' style='font-size:9px'>clanmods.eu</a></div>\n";
	echo "</td>\n";
	echo "<td width='28' style='background-image:url(".THEME."images/tnav_b_text-b.gif);'>&nbsp;</td>\n";
	echo "<td class='tbl-bottom'>&nbsp;</td>\n";
	echo "<td width='28' style='background-image:url(".THEME."images/tnav_b_text-a.gif);'>&nbsp;</td>\n";
	echo "<td width='170' align='center' style='background-image:url(".THEME."images/tnav_b_text.gif);'>\n";
	echo "<div style='font-size:9px;position:relative;top:2px;'>".showcounter()."</div>\n";
	echo "</td>\n";
	echo "<td width='28' style='background-image:url(".THEME."images/tnav_b_text-b.gif);'>&nbsp;</td>\n";
	echo "<td class='tbl-bottom'>&nbsp;</td>\n";
	echo "</tr>\n</table>\n";
	echo "</td>\n";
	echo "<td class='tbl-bottom-right'>".THEME_SPACER."</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
			
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='0' class='tbl-top-navigation'>\n";
	echo "<tr>\n<td align='center'>".THEME_SPACER."</td>\n</tr>\n";
	echo "</table>\n";
		
	echo "</td>\n</tr>\n</table>\n";
}

function render_news($subject, $news, $info) {
	global $locale;
	
	opentable($subject);
	echo "<div>".$news."</div>\n";
	echo "<div class='tbl-info-bar'>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td>".newsposter($info, "&middot;")."</td>\n";
	echo "<td align='right'>".newsopts($info, "&middot;").itemoptions("N",  $info['news_id'])."</td>\n";
	echo "</tr>\n</table>\n</div>\n";
	closetable();
}

function render_article($subject, $article, $info) {
	global $locale;	
	
	opentable($subject);
	echo "<div>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
	echo "<div class='tbl-info-bar'>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td>".articleposter($info, "&middot;")."</td>\n";
	echo "<td align='right'>".articleopts($info, "&middot;").itemoptions("A", $info['article_id'])."</td>\n";
	echo "</tr>\n</table>\n</div>\n";
	closetable();
}

function opentable($title) {
	
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='0' style='margin-bottom:8px;'>\n";
	echo "<tr>\n<td class='tbl-header'>&raquo; ".$title."</td>\n</tr>\n";
	echo "<tr>\n<td class='tbl-body'>\n";
}

function closetable() {
	
	echo "</td>\n</tr>\n</table>\n";
}


function openside($title, $collapse = false, $state = "on") {
	global $panel_collapse; $panel_collapse = $collapse;
	
	$box_name = strtolower(str_replace(" ", "", $title));
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='0' style='margin-bottom:8px;'>\n<tr>\n<td class='side-header'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' style='padding:0px 4px 0px 4px;'>\n<tr>\n";
	echo "<td align='center'>".$title."</div>";
	echo "<td align='right' width='11'>".($collapse == true ? panelbutton($state, $box_name) : "&nbsp;")."</td>";
	echo "</tr>\n</table>\n";
	echo "</td>\n</tr>\n<tr>\n<td class='side-body'>\n";			
	if($collapse == true) { echo panelstate($state, $box_name); }
}

function closeside() {
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n</tr>\n</table>\n";
}

?>